function []=lookat_field(fld,nfx,nfy,cflag,cfactor,fignum)

load_bbmap;bbmap(16,:)=.99.*[1 1 1];bbmap(17,:)=bbmap(16,:);

if(nfx(3)>0);
  nx=nfx(3);
elseif(nfx(1)>0);
  nx=nfx(1);
end;

nxrange=[0 nfy(1) nfy(2) nfy(3) nfx(4) nfx(5)];
nxrange=cumsum(nxrange);

figure(fignum);clf;colormap(bbmap);
for iface=1:5;
  if(nfx(iface)>0)
    ix=1:nx;iy=nxrange(iface)+1:nxrange(iface+1);
    if(iface<=3);subplot(2,3,iface);else;subplot(2,2,iface-1);end;
    mypcolor(reshape(fld(ix,iy),nfx(iface),nfy(iface))');
    if(cflag);mycaxis(cfactor);end;mythincolorbar;grid;title(['Face ' num2str(iface)]);
  end;
end;

return
